<template>
  <div id="Weather">
    {{data}}
  </div>
</template>

<script>
const axios = require('axios').default;
export default {
  name: "FetchByCity",
  data() {
    return {
      data: {}
    }
  },
  methods: {
    async getWeatherByCity() {
      const ApiKey = "b1b15e88fa797225412429c1c50c122a1";

      axios({
        method: "GET",
        url: `http://api.openweathermap.org/data/2.5/weather?q=Grenoble&appid=${ApiKey}`
      })
          .then(res => {
            console.log(res.data);
            this.data = res.data;
          })
          .catch(() => (this.error = true));
    }
  }
}
</script>

<style scoped>
#Weather {
  margin-top: 5%;
}
</style>